Package com.avaya.clientservices.common

## Enum Layer2PriorityMarking

- java.lang.Object
- - java.lang.Enum<Layer2PriorityMarking>
  - - com.avaya.clientservices.common.Layer2PriorityMarking

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Layer2PriorityMarking>`

      public enum Layer2PriorityMarking
      extends java.lang.Enum<Layer2PriorityMarking>

  Priority levels for implementing quality of service (QoS) at the media access control (MAC) level. The classes of service are provided through 3-bit PCP field in an IEEE 802.1Q header added to the frame.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTOMATIC` | Makes CSDK to use values from the network or use an appropriate default
    `BACKGROUND` | Corresponds to priority 1
    `BEST_EFFORT` | Corresponds to priority 0
    `CRITICAL_APPLICATION` | Corresponds to priority 3
    `EXCELLENT_EFFORT` | Corresponds to priority 2
    `INTERNETWORK_CONTROL` | Corresponds to priority 6
    `NETWORK_CONTROL` | Corresponds to priority 7
    `VIDEO` | Corresponds to priority 4
    `VOICE` | Corresponds to priority 5

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Layer2PriorityMarking` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static Layer2PriorityMarking` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Layer2PriorityMarking[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEST_EFFORT

          public static final Layer2PriorityMarking BEST_EFFORT

      Corresponds to priority 0

    - #### BACKGROUND

          public static final Layer2PriorityMarking BACKGROUND

      Corresponds to priority 1

    - #### EXCELLENT_EFFORT

          public static final Layer2PriorityMarking EXCELLENT_EFFORT

      Corresponds to priority 2

    - #### CRITICAL_APPLICATION

          public static final Layer2PriorityMarking CRITICAL_APPLICATION

      Corresponds to priority 3

    - #### VIDEO

          public static final Layer2PriorityMarking VIDEO

      Corresponds to priority 4

    - #### VOICE

          public static final Layer2PriorityMarking VOICE

      Corresponds to priority 5

    - #### INTERNETWORK_CONTROL

          public static final Layer2PriorityMarking INTERNETWORK_CONTROL

      Corresponds to priority 6

    - #### NETWORK_CONTROL

          public static final Layer2PriorityMarking NETWORK_CONTROL

      Corresponds to priority 7

    - #### AUTOMATIC

          public static final Layer2PriorityMarking AUTOMATIC

      Makes CSDK to use values from the network or use an appropriate default

  - ### Method Detail

    - #### values

          public static Layer2PriorityMarking[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Layer2PriorityMarking c : Layer2PriorityMarking.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Layer2PriorityMarking valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static Layer2PriorityMarking fromInt​(int v)

    - #### intValue

          public int intValue()